package com.nisum.ecomcustomer.validators;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {CustomerAddressesValidator.class})
@Documented
public @interface CustomerAddressesConstraint {

    String message() default "Must contain only one shipping address and one billing address";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
